import { signal } from '@angular/core';

const initialFilters = { page: 1, perPage: 10, totalItems: 0, totalPages: 0, search: '' };

export const mockSearchService = {
  getFilters: jest.fn(() => signal(initialFilters)),
  setFilters: jest.fn(),
  get: jest.fn(),
};
